/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

#define forever 1

CY_ISR_PROTO(ADC_Handler);					//	ADC interrupt handler
CY_ISR_PROTO(PWM_Handler);					//	PWM interrupt handler

volatile int8 measurement = 0;				//	Takes the result of the ADC

void InitializeSystem(void)					//	Nomen est omen ...
{
    CyGlobalIntEnable; /* Enable global interrupts. */

//	LCD_Char_1_Start();						//	No LCD on -059 board
	ADC_DelSig_1_Start();					//	Start components: ADC
	ADC_DelSig_1_IRQ_StartEx(ADC_Handler);	//	ADC handler
	PWM_ISR_StartEx(PWM_Handler);			//	PWM Handler
	
	PWM_1_Start();							//	PWM
	
	Pin_4_Write(0);							//	LED
	
    /* Display the value of ADC output on LCD */
//    LCD_Char_1_Position(0u, 0u);
//    LCD_Char_1_PrintString("Oxymeter");
}

int main()
{
	InitializeSystem();
	
    while(forever)
    {
        /* Place your application code here. */
    }
}

CY_ISR(ADC_Handler)
{
	Pin_4_Write(0);
		
	measurement = ADC_DelSig_1_GetResult8();
//    LCD_Char_1_Position(1u, 0u);
//	LCD_Char_1_PrintHexUint8( measurement);
}

CY_ISR(PWM_Handler)
{
uint8 status = PWM_1_ReadStatusRegister();
	if( status & PWM_1_STATUS_TC)
	{
		Pin_4_Write(1);
		ADC_DelSig_1_StartConvert();
	}
}
